%define module 	Email-Valid
%define version 0.15
%define release 1mdk

Summary:	Email-Valid perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Email/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 0:5.600
BuildRequires:	perl-MailTools
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain or whether
the top level domain of the email address is valid.  

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.15-1mdk
- initial mdk package
